<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	}
	String matricula = request.getParameter("Matricula");
	if (matricula==null || matricula.equals("NULL")){
	       matricula="";
    }
    String tipo = request.getParameter("Tipo")==null?"T":request.getParameter("Tipo");
	String concepto=(request.getParameter("Conceptos")==null)?"":request.getParameter("Conceptos"); 
	String persona = (String) session.getAttribute("persona");
	
	String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals("true")) {
			outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	}
	outMsg.close();
    m05bFileLog miLog = new m05bFileLog();
    session.setAttribute("m05bPagina", m05bConstantesPaginas.LST_GST_ASIGNACIONES);
    
        if ((concepto==null)||(concepto.equals(""))){
    	concepto="'C','V'";
    	}
       %>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
        <title><%= resTit.getString("titLstGasAsignaciones")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charsGastoset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
			
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
        <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
        <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Ordenar.js"></script>

			
</head>
			
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
var tabDoc = document;
var _tabSha=null;
var _tabLast=null;
var _tabMode=true;
var _tabDa=false;
var _trFecha="";
</script>
	<!--          CAPA ESPERA       -->
  <!--Inicio Cabecera -->

   <SCRIPT language=JavaScript>
	 var urlIdioma;		//URL recarga en funcion del idioma
	 urlIdioma = "<%=m05bConstantesPaginas.LST_GST_ASIGNACIONES%>";
	 var rutaCabecera;	//Camino de migas
     rutaCabecera="";
     detActual='<%= resCM.getString("cmLstGasAsignaciones")%>';
     //rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='" + urlIdioma + "'>\\<%= resCM.getString("cmLstGasAsignaciones")%></a>";
   </SCRIPT>
   <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
  <!--Fin Cabecera-->
  <!--Inicio Capa que muestra el Calendario -->
      <DIV id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
  <!--Fin Iicio Capa que muestra el Calendario -->
  <!--Tabla que engloba cuerpo y menu-->
  <P> 	 
  <table  width="100%" height="100%" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
	  <!--Celda de la izquierda que constituye el menu-->
	  <td width="2%">
		<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	     <DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	       <%@ include file="/m05bMenuInicial.inc"%>
	     </DIV>
	 	</DIV>
	   </td>
	  <!-- Fin Celda de la izquierda que constituye el menu-->
	   <td>&nbsp&nbsp</td>
	  <!-- Celda de la derecha que constituye el cuerpo de la consulta-->
	   <td width="98%">
	   	 <!--FORM INICIO DIBUJO FORMULARIO FORM VEHICULOS (la mitad superior de la pagina)-->
	   	<script>
		function formatear(){
         var cont=document.formVehGastos.contador.value;
         var objetoI=null;
         var objetoK=null;
         var objetoL=null;         
         for( var i=0; i<cont; i++ ){
             objetoI =document.getElementsByName("Importe")[i]; 
             formatNumeroDecimalConSigno(objetoI,9,2); 
             objetoK =document.getElementsByName("Km")[i];
             formatNumero(objetoK);
             objetoL =document.getElementsByName("Litros")[i];
             formatNumeroDecimal(objetoL,6,2)   ;             
         }             
}
</script>
			<FORM NAME="formVehGastos" METHOD="POST" >
					<%
					String Tarjeta="", Tipo="", Control="", Concepto="", Nombre="", CodGasto="";
					String Fecha="", Hora="", Importe="", Km="", Litros="", Ver="", Cargabon="",hastaHidden="";
					int contTotal=0;
					m05bCombo miCombo = new m05bCombo();
					m05bComun comun = new m05bComun();
					StringBuffer sqlTarjetas = new StringBuffer();
					StringBuffer sqlManual = new StringBuffer();
					StringBuffer sqlTodo = new StringBuffer();
					StringBuffer sql2= new StringBuffer();
                    java.sql.Connection conexion=null;
                    m05bConexion miConexion = new m05bConexion();                    
					java.sql.Statement pstmtGastos = null ,pstmtConceptos=null;
					ResultSet rsGastos = null,rsConceptos=null;
			  if (!(matricula.equals(""))){
                    sqlTarjetas.append("SELECT ").append(m05bConstantes.COL_18_MATRICULA).append(",");
					sqlTarjetas.append(m05bConstantes.COL_18_TARJETA).append(",").append(m05bConstantes.COL_18_CARGO);
					sqlTarjetas.append(",TO_CHAR(").append(m05bConstantes.COL_18_FECHA).append(",'"+formatoFecha+"'),TO_CHAR(");
					sqlTarjetas.append(m05bConstantes.COL_18_FECHA).append(",'HH24:mi:ss'),");
					sqlTarjetas.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")");
					sqlTarjetas.append(",").append(m05bConstantes.COL_18_ESTAB);
					sqlTarjetas.append(",").append(m05bConstantes.COL_18_IMPORTE);
					sqlTarjetas.append(",TO_CHAR(").append(m05bConstantes.COL_18_KM).append("),TO_CHAR(").append(m05bConstantes.COL_18_LITROS);
					sqlTarjetas.append("),TO_CHAR(").append(m05bConstantes.COL_18_FECHA).append(",'yyyy/mm/dd'),TO_CHAR(");
					sqlTarjetas.append(m05bConstantes.COL_18_FECHA).append(",'HH24:mi:ss')");
					sqlTarjetas.append(" FROM ").append(m05bConstantes.TAB_OPEBANCOS).append(" inner join  M0599T00 on  M0599T00.COD_DESC_99=M0518T00.TIPO_18 and COD_TAB_99=2");
					sqlTarjetas.append(" WHERE ").append(m05bConstantes.COL_18_MATRICULA).append(" = '");
					sqlTarjetas.append(matricula);
					sqlTarjetas.append("' AND ").append(m05bConstantes.COL_18_TIPO).append(" in (").append(concepto).append(")");					
					sqlTarjetas.append(" ORDER BY 11 desc,12 desc ");
miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sqlTarjetas"+sqlTarjetas, m05bConstantes.LOG_NIVEL_BAJO);					                   
					
                    sqlManual.append("SELECT ").append(m05bConstantes.COL_09_MATRICULA).append(",");
					sqlManual.append(m05bConstantes.COL_09_TARJETA).append(",").append(m05bConstantes.COL_09_CARGO);
					sqlManual.append(",TO_CHAR(").append(m05bConstantes.COL_09_FECHA).append(",'"+formatoFecha+"'),TO_CHAR(");
					sqlManual.append(m05bConstantes.COL_09_FECHA).append(",'HH24:mi:ss'),");
					sqlManual.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")");
					sqlManual.append(",").append(m05bConstantes.COL_09_ESTNOM);
					sqlManual.append(",").append(m05bConstantes.COL_09_IMPORTE);
					sqlManual.append(",").append(m05bConstantes.COL_09_KMGASTO).append(",").append(m05bConstantes.COL_09_LITROS);
					sqlManual.append(",").append(m05bConstantes.COL_09_CODIGO).append(",");
					sqlManual.append(" TO_CHAR(").append(m05bConstantes.COL_09_FECHA).append(",'yyyy/mm/dd'),TO_CHAR(");
					sqlManual.append(m05bConstantes.COL_09_FECHA).append(",'HH24:mi:ss')");
					sqlManual.append(" FROM ").append(m05bConstantes.TAB_GASTOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES);
					sqlManual.append(" WHERE ").append(m05bConstantes.COL_09_MATRICULA).append(" = '");
					sqlManual.append(matricula).append("' AND ");
				    sqlManual.append(m05bConstantes.COL_99_CODTABLA).append(" = '").append(m05bConstantes.DESC_CONCEPTOSGASTOS).append("' AND ");
				    sqlManual.append(m05bConstantes.COL_99_CODDESC).append(" = ").append(m05bConstantes.COL_09_CODCPTO);
					sqlManual.append(" AND ").append(m05bConstantes.COL_09_CODCPTO).append(" in (").append(concepto).append(")");									    
					sqlManual.append(" ORDER BY 11 desc,12 desc ");
					
					sqlTodo.append("SELECT ").append(m05bConstantes.COL_18_MATRICULA).append(",");
		            sqlTodo.append(m05bConstantes.COL_18_TARJETA).append(",").append(m05bConstantes.COL_18_CARGO);
					sqlTodo.append(",FOPERAC ,HOPERAC ,");
					sqlTodo.append(m05bConstantes.COL_18_CONCEPTO);
					sqlTodo.append(",MAX(").append(m05bConstantes.COL_18_ESTAB);
					sqlTodo.append("),").append(m05bConstantes.COL_18_IMPORTE);
					////modificacion 03-04-2009 Si tener en cuenta la diferencia de litros sustituido max(LI) por LI
					sqlTodo.append(", MAX(KM), LI,FOPERAC2, HOPERAC2 FROM");					
                    sqlTodo.append("(SELECT ").append(m05bConstantes.COL_18_MATRICULA).append(",");
					sqlTodo.append(m05bConstantes.COL_18_TARJETA).append(",").append(m05bConstantes.COL_18_CARGO);
					sqlTodo.append(",TO_CHAR(").append(m05bConstantes.COL_18_FECHA).append(",'"+formatoFecha+"') as FOPERAC ,TO_CHAR(");
					sqlTodo.append(m05bConstantes.COL_18_FECHA).append(",'HH24:mi:ss')  as HOPERAC ,");
					sqlTodo.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")");
					sqlTodo.append(" as ");
					sqlTodo.append(m05bConstantes.COL_18_CONCEPTO);
					sqlTodo.append(",").append(m05bConstantes.COL_18_ESTAB);
					sqlTodo.append(",").append(m05bConstantes.COL_18_IMPORTE);
					sqlTodo.append(",TO_CHAR(").append(m05bConstantes.COL_18_KM).append(") AS KM,");
					//modificacion 03-04-2009 Si tener en cuenta la diferencia de litros
					sqlTodo.append(" REPLACE(DECODE(TO_CHAR(").append(m05bConstantes.COL_18_LITROS);
					sqlTodo.append("),'0','0,00', ");
					sqlTodo.append(" TO_CHAR(").append(m05bConstantes.COL_18_LITROS);
					sqlTodo.append(")),'.',',') AS LI, ");
					//sqlTodo.append(m05bConstantes.COL_18_LITROS).append(") AS LI, ");
					sqlTodo.append(" TO_CHAR(").append(m05bConstantes.COL_18_FECHA).append(",'yyyy/mm/dd') AS FOPERAC2,  TO_CHAR(");
					sqlTodo.append(m05bConstantes.COL_18_FECHA).append(",'HH24:mi:ss') AS HOPERAC2");
					sqlTodo.append(" FROM ").append(m05bConstantes.TAB_OPEBANCOS).append(" inner join  M0599T00 on  M0599T00.COD_DESC_99=M0518T00.TIPO_18 and COD_TAB_99=2");
					sqlTodo.append(" WHERE ").append(m05bConstantes.COL_18_MATRICULA).append(" = '");
					sqlTodo.append(matricula).append("'");
					sqlTodo.append(" AND ").append(m05bConstantes.COL_18_TIPO).append(" in (").append(concepto).append(")");										
					
                    sqlTodo.append(" UNION ALL SELECT ").append(m05bConstantes.COL_09_MATRICULA).append(",");
					sqlTodo.append(m05bConstantes.COL_09_TARJETA).append(",").append(m05bConstantes.COL_09_CARGO);
					sqlTodo.append(",TO_CHAR(").append(m05bConstantes.COL_09_FECHA).append(",'"+formatoFecha+"'),TO_CHAR(");
					sqlTodo.append(m05bConstantes.COL_09_FECHA).append(",'HH24:mi:ss'),");
					sqlTodo.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")");
					sqlTodo.append(",").append(m05bConstantes.COL_09_ESTNOM);
					sqlTodo.append(",").append(m05bConstantes.COL_09_IMPORTE);
					sqlTodo.append(",").append(m05bConstantes.COL_09_KMGASTO).append(",");
					//modificacion 03-04-2009 Si tener en cuenta la diferencia de litros
					//sqlTodo.append(m05bConstantes.COL_09_LITROS);
					sqlTodo.append("REPLACE(").append(m05bConstantes.COL_09_LITROS).append(",',','.')");
					sqlTodo.append(", TO_CHAR(").append(m05bConstantes.COL_09_FECHA).append(",'yyyy/mm/dd'),TO_CHAR(");
					sqlTodo.append(m05bConstantes.COL_09_FECHA).append(",'HH24:mi:ss')");
					sqlTodo.append(" FROM ").append(m05bConstantes.TAB_GASTOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES);
					sqlTodo.append(" WHERE ").append(m05bConstantes.COL_09_MATRICULA).append(" = '");
					sqlTodo.append(matricula).append("' AND ");
				    sqlTodo.append(m05bConstantes.COL_99_CODTABLA).append(" = '").append(m05bConstantes.DESC_CONCEPTOSGASTOS).append("' AND ");
				    sqlTodo.append(m05bConstantes.COL_99_CODDESC).append(" = ").append(m05bConstantes.COL_09_CODCPTO);
					sqlTodo.append(" AND ").append(m05bConstantes.COL_09_CODCPTO).append(" in (").append(concepto).append("))");									    				    
                    sqlTodo.append(" GROUP BY ").append(m05bConstantes.COL_18_MATRICULA).append(",");
		            sqlTodo.append(m05bConstantes.COL_18_TARJETA).append(",").append(m05bConstantes.COL_18_CARGO);
					sqlTodo.append(",FOPERAC ,HOPERAC ,");
					sqlTodo.append(m05bConstantes.COL_18_CONCEPTO);
					sqlTodo.append(",").append(m05bConstantes.COL_18_IMPORTE);
					sqlTodo.append(",LI, FOPERAC2, HOPERAC2 ");					    
				    sqlTodo.append(" ORDER BY 11 desc,12 desc ");
					
miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sqlTodo"+sqlTodo, m05bConstantes.LOG_NIVEL_BAJO);					             

					
				}
				
                    sql2.append("SELECT ").append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")").append(" , ").append(m05bConstantes.COL_99_CODDESC).append(" FROM ");
                    sql2.append(m05bConstantes.TAB_DESCRIPCIONES).append(" WHERE ");
                    sql2.append(m05bConstantes.COL_99_CODTABLA).append("=").append(m05bConstantes.DESC_CONCEPTOSGASTOS);					      			  
miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sql2"+sql2, m05bConstantes.LOG_NIVEL_BAJO);					             
                    
		try {
			           conexion = miConexion.getConnection();
			           pstmtGastos = conexion.createStatement();
			  if (!(matricula.equals(""))){
					   rsGastos = pstmtGastos.executeQuery(sqlTodo.toString());
				}	%>
		<TABLE class="general">
					 <tr>
                       
					   <td align="right" colspan="4">
							<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
					   </td>
					 </tr>
		</TABLE> 	 
			  	       <TABLE class="general">
					    <TR>
                         <TD ALIGN="left"  class="CellHead" style=" TEXT-ALIGN=center;">
					             <%= res.getString("etTipo")%>
					     </TD>
					     <TD ALIGN="left"  class="CellHead" style=" TEXT-ALIGN=center;">
					             <%= res.getString("etMatricula")%>

					     </TD>
	
					     <TD ALIGN="left"  class="CellHead" style=" TEXT-ALIGN=center;">
					             <%= res.getString("etConcepto")%>

					     </TD>									     	     

					    </TR>
				        <tr>
						  <td class="grupoAsignacion" align="center">
								<% if (tipo.equals("T")) { %>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" CHECKED VALUE="T" width="40%"  border='0'/><FONT size="2"><%= res.getString("etTarjetas")%></FONT>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" VALUE="M" width="40%"  border='0'/><FONT size="2"><%= res.getString("etManuales")%></FONT>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" VALUE="D" width="40%"  border='0'/><FONT size="2"><%= res.getString("etTodos")%></FONT>
								      <% if (!(matricula.equals(""))){
                                          miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sqlTarjetas"+sqlTarjetas, m05bConstantes.LOG_NIVEL_BAJO);					                   								      
								      	  rsGastos = pstmtGastos.executeQuery(sqlTarjetas.toString()); }%>
								<% } else if (tipo.equals("M")) { %>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" VALUE="T" width="40%" border='0'/><FONT size="2"><%= res.getString("etTarjetas")%></FONT>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" CHECKED VALUE="M" width="40%"  border='0'/><FONT size="2"><%= res.getString("etManuales")%></FONT>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" VALUE="D" width="40%"  border='0'/><FONT size="2"><%= res.getString("etTodos")%></FONT>
								      <% if (!(matricula.equals(""))){
                                          miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sqlManual"+sqlManual, m05bConstantes.LOG_NIVEL_BAJO);					                   								      								         
								      	  rsGastos = pstmtGastos.executeQuery(sqlManual.toString()); }%>
								<% } else if (tipo.equals("D")){ %>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" VALUE="T" width="40%"  border='0'/><FONT size="2"><%= res.getString("etTarjetas")%></FONT>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" VALUE="M" width="40%" border='0'/><FONT size="2"><%= res.getString("etManuales")%></FONT>
								      <input type="RADIO" class="inputFieldTitle" NAME="Tipo" CHECKED VALUE="D" width="40%"  border='0'/><FONT size="2"><%= res.getString("etTodos")%></FONT>
								      <%if (!(matricula.equals(""))){
                                          miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sqlTodo"+sqlTodo, m05bConstantes.LOG_NIVEL_BAJO);					                   								      								         								      
								      	   rsGastos = pstmtGastos.executeQuery(sqlTodo.toString()); }%>
								<% }  %>										  
						  </td>
					      <TD  ALIGN="center">
		  			       <select style="vertical-align=top" class="inputField"  NAME="CMatricula"  onKeypress="if (event.keyCode == 13){ blur();} else {buscar_op(this,this);}" >
				    	     <option value=""> </option>	
						               <%=miCombo.ComMatricula(m05bConstantes.VEH_TODOS,matricula)%>
				    	   </select>
				    	 </TD>		
				    	 <td class="inputField"  align="center">
				    	 	<%pstmtConceptos = conexion.createStatement();
					         rsConceptos = pstmtConceptos.executeQuery(sql2.toString());
					         int i=1;
					         String sConcepto="";
				            while (rsConceptos.next() == true)  {  
			  	                sConcepto=rsConceptos.getString(1);
		   	               
		   	                   if (!(rsConceptos.getString(2).equals("P"))){
		   	                  %>
	                           <input type="checkbox" name="chkBoxG" value="<%=sConcepto%>" class="inputField" checked><%=sConcepto%><input cLASS="listCellHidden" type="checkbox" name="chkBoxGI" value="<%=rsConceptos.getString(2)%>"/>
	                           	<%}else{%>
                               <input type="checkbox" name="chkBoxG" value="<%=sConcepto%>" class="inputField" > <%=sConcepto%><input cLASS="listCellHidden" type="checkbox" name="chkBoxGI" value="<%=rsConceptos.getString(2)%>"/>	                           	
	                          <%} %>
	                          <%i++;}%>
                             </td>	    	 				  	  				        
					     </tr>
			          </TABLE>
					  <TABLE class="general">
					    <tr>
                          <td width="2%" class="listCellHead">&nbsp&nbsp</td>
					      <td class="listCellHead"><%= res.getString("etTarjeta")%></td>
					      <!--td class="inputFieldTitle">Tipo</td-->
					      <td class="listCellHead"><%= res.getString("etCA")%></td>
					      <td class="listCellHead"><%= res.getString("etConcepto")%></td>
					      <td class="listCellHead"><%= res.getString("etComercio")%></td>
					      <td CLASS="listCellHead"  style="text-align:center" onmouseover="changeEl(this, 1)" onmouseout="changeEl(this, 2)" onmousedown="clickHead(this,document.getElementById('hastaHidden'), 0);" onmouseup="clickHead(this, document.getElementById('hastaHidden'), 1);" onclick="_tabSort(document.getElementById('hastaHidden'),0,'<%=tipo%>'); _trFecha='<%= res.getString("etFecha")%>';"><%= res.getString("etFecha")%></td>
					      <td class="listCellHead"><%= res.getString("etImporte")%></td>
					      <td class="listCellHead"><%= res.getString("etKm")%></td>
					      <td class="listCellHead"><%= res.getString("etLitros")%></td>					      
					      <td width="0%" id="hastaHidden" CLASS="listCellHidden" ></td>
					    </tr>
						<%
						  if (!(matricula.equals(""))){
							while (rsGastos.next() == true){
			                       ++contTotal;
					               Tarjeta=rsGastos.getString(2);
					               Fecha=rsGastos.getString(4);
					               Hora=rsGastos.getString(5);
					               Concepto=rsGastos.getString(6);
                                   Concepto = Concepto==null?"":Concepto;
					               
					               Nombre=rsGastos.getString(7);
                                   Nombre = Nombre==null?"":Nombre;
					               
					               Importe=rsGastos.getString(8);
					               Importe=comun.ImporteBasedatosAPagina(Importe);


						               
					               Km=rsGastos.getString(9);
					               Litros=rsGastos.getString(10);
					               if (Km==null || Km.equals("")|| Km.equals("0"))
					                   Km="";
					                   Km=comun.ImporteBasedatosAPagina(Km);
					               if (Litros==null || Litros.equals("")|| Litros.equals("0")|| Litros.equals("0,00"))
					                   Litros="";
									    //Litros=comun.ImporteBasedatosAPagina(Litros);
                    									    
					               Cargabon=rsGastos.getString(3);
					               hastaHidden=rsGastos.getString(11)+" "+rsGastos.getString(12);
					               
					           %>
					               <tr>
					                <% if (tipo.equals("M")) { CodGasto= rsGastos.getString(11);%>
					                    <script>
										  		document.write('<td  CLASS="inputFieldTitle"><A href="JavaScript:fncModificarGasto(<%=CodGasto%>)"><%=CodGasto%></A></td>' );
								   		</script>
								   	<%} else {%>
					                    <script>
										  		document.write('<td   CLASS="inputFieldTitle" width="2%"></td>');
								   		</script>
								   	<%}%>
										      <td class="inputFieldTitle"><input type="hidden" name="Codigo" value='<%=Control%>' ><%=Tarjeta%></td>
										      <!--td align="left" class="inputFieldTitleBlank"><%//=Tipo%></td-->
										      <td class="listCell" style="text-align: center"><%=Cargabon%></td>
										      <td class="listCell"><%=Concepto%></td>
										      <td class="listCell"><%=Nombre%></td>
										      <td class="listCell"><INPUT class="inputField" TYPE="hidden" NAME="Fecha"  VALUE="<%=Fecha%>"><%=Fecha%>&nbsp&nbsp<%=Hora%></td>
                                              <td  style="text-align: right" class="listCell"><%=Importe%></td>
                                             
                                              <td  style="text-align: right" class="listCell"><%=Km%></td>											  
                                              
                                              <td  style="text-align: right" class="listCell"><%=Litros%> </td>
                                               <td width="0%" type='hidden' CLASS="listCellHidden"  ><%=hastaHidden%></td>
                                    
					    		   </tr>
					 <%}}%>
					 

					  <%} catch (Exception ex){
						  
						   miLog.addTraza(ex);
					  } finally {
							if (rsGastos != null)
								rsGastos.close();
							if (pstmtGastos != null)
								pstmtGastos.close();
							if (rsConceptos != null)
								rsConceptos.close();
							if (pstmtConceptos != null)
								pstmtConceptos.close();								
							if (conexion != null)
								conexion.close();
					  }
					    %>

					  </TABLE>
					     <TABLE class="general">
							<tr>
								<td> <input type='hidden' name="listaBD" VALUE="" ></td>
								<td> <input type='hidden' name="Matricula" VALUE="<%=matricula%>" colspan="6"></td>
								<td> <input type='hidden' name="Conceptos" VALUE="" ></td>								
							
			 				</tr>
							<tr align="center">
								<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contTotal%></td>
								
						 	</tr>
							<tr> </tr>
					   </TABLE>

			</FORM>
			 </td>
			</tr>
			<tr>
				<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
			</tr>
			</table>
<SCRIPT language='javascript'>
			    function fncModificar(codigo) {
			       var docu=document.formVehGastos;
			       docu.action="m05bGenerarGastosTarjetaServlet?Matricula=<%=matricula%>&Codigo=" + codigo;
			       docu.submit();
			    }
			    
			 	/*function fncNuevo(){
			       var docu=document.formVehGastos;
			       docu.action="m05bGastosTarjetaJsp.jsp?Matricula=<%=matricula%>&Cabecera=false";
			       docu.submit();
			    }*/
			    	
				function fncBuscar() {
					var tipo;
					var matricula;
			        var docu=document.formVehGastos;
			        
					if (docu.Tipo[0].checked) {
						tipo="T";
					} else if (docu.Tipo[1].checked){
						tipo="M";
					} else {
						tipo="D";
					}
					var Parametros=fncConstruirParametrosConceptos();
					matricula=docu.CMatricula.options[docu.CMatricula.selectedIndex].value;
					if (matricula!="") {
			       	docu.action="m05bGastosAsignacionJsp.jsp?Matricula=" + matricula + "&Tipo=" + tipo+Parametros;
					docu.submit();}
			    }
				
function fncConstruirParametrosConceptos(){
        var Parametros="";
        var Conceptos="";
        numRegistros2=document.formVehGastos.chkBoxG.length;
        Parametros+="&Conceptos=";
        for(n=0;n<numRegistros2;n++){
          if (document.formVehGastos.chkBoxG[n].checked==true){
           if (n==0){
               //Parametros+="'"+document.formSolicitud.chkBoxG[n].value+"'";
               Parametros+="'"+document.formVehGastos.chkBoxGI[n].value+"'";
               Conceptos+=""+document.formVehGastos.chkBoxGI[n].value+"";
               
           }else{
               if (Parametros=="&Conceptos="){
                   //Parametros+="'"+document.formSolicitud.chkBoxG[n].value+"'";
                   Parametros+="'"+document.formVehGastos.chkBoxGI[n].value+"'";
                    Conceptos+=""+document.formVehGastos.chkBoxGI[n].value+"";
               }else{
                   //Parametros+=",'"+document.formSolicitud.chkBoxG[n].value+"'";     
                   Parametros+=",'"+document.formVehGastos.chkBoxGI[n].value+"'";
                   Conceptos+=","+document.formVehGastos.chkBoxGI[n].value+"";                                   
               }   
           }        
           
          }
       }
       Parametros+="";
       document.formVehGastos.Conceptos.value=Conceptos;
       return Parametros;
       }				
				function fncModificarGasto(codigo) {
					var matricula;
			        var docu=document.formVehGastos;
					matricula=docu.CMatricula.options[docu.CMatricula.selectedIndex].value;
			        docu.action="m05bGenerarGastosListadoServlet?Codigo="+codigo+"&Matricula="+matricula+"&Finalizada="+'N';
			       	//docu.action="m05bGastosJsp.jsp?Codigo=" + codigo + "&Matricula=" + matricula;
					docu.submit();
			    }
	    	
    setTimeout('initSlide();', 1);
    numRegistros2=document.formVehGastos.chkBoxG.length;
    var conceptos2="<%=concepto%>";
    conceptos2=trimComilla(conceptos2);

    conceptos=conceptos2;
    for(n=0;(n<numRegistros2);n++){
       document.formVehGastos.chkBoxGI[n].checked=false;
       document.formVehGastos.chkBoxG[n].checked=false;
    }

                    var sItem=null;
                    sItem = conceptos.split(",");
                     var bIgual=false;
                    for(b=0;b<sItem.length;b++){
                       bIgual=false;
                       for(n=0;((n<numRegistros2)&& (!bIgual));n++){

                            var pos=document.formVehGastos.chkBoxGI[n].value.indexOf(sItem[b]);

                            if (pos>=0){
                             document.formVehGastos.chkBoxG[n].checked=true;
                             document.formVehGastos.chkBoxGI[n].checked=true;
                             bIgual=true;
                        }
                       }
                    }
                    

 
    
</SCRIPT>
	
</BODY>
</HTML>